package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.Player;
import com.goldenwater.slgc.mapper.PlayerMapper;
import com.goldenwater.slgc.service.PlayerService;

/** 播放器配置 业务实现 */
@Service
public class PlayerServiceImpl implements PlayerService {
    @Autowired
    private PlayerMapper playerMapper;

    @Override
    public List<Player> selectPlayerList(Player player) {
        return playerMapper.selectPlayerList(player);
    }

    @Override
    public Player selectPlayerById(String plyId) {
        return playerMapper.selectPlayerById(plyId);
    }

    @Override
    public int deletePlayerByIds(String[] plyIds) {
        return playerMapper.deletePlayerByIds(plyIds);
    }

    @Override
    public int insertPlayer(Player player) {
        return playerMapper.insertPlayer(player);
    }

    @Override
    public int updatePlayer(Player player) {
        return playerMapper.updatePlayer(player);
    }

    @Override
    public List<Player> selectAll() {
        return playerMapper.selectAll();
    }
}
